Update part revision
/v2/parts/{part_number}/revisions/{revision_number}Authorization
api_key API key for authentication. Use format: Bearer YOUR_API_KEY
In: header
Path Parameters
Part number that the revision belongs to.
Current revision number to update.
Request Body
application/json
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v2/parts/string/revisions/string" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "550e8400-e29b-41d4-a716-446655440000"
}{
"message": "Unauthorized",
"code": "UNAUTHORIZED",
"issues": []
}{
"message": "Not found",
"code": "NOT_FOUND",
"issues": []
}{
"message": "Conflict",
"code": "CONFLICT",
"issues": []
}{
"message": "Internal server error",
"code": "INTERNAL_SERVER_ERROR",
"issues": []
}How is this guide?
Get part revision GET
Get a part revision by part number and revision number, with its metadata, configuration, and linked units. See its parameters and response schema.
Delete part revision DELETE
Delete a part revision. Irreversible. TofuPilot REST API reference with its parameters, response schema, and status codes.